Package org.lwjgl.opengl

# Class ATIEnvmapBumpmap

java.lang.Object
org.lwjgl.opengl.ATIEnvmapBumpmap

public final class ATIEnvmapBumpmap extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_BUMP_ENVMAP_ATI`
`static final int`
`GL_BUMP_NUM_TEX_UNITS_ATI`
`static final int`
`GL_BUMP_ROT_MATRIX_ATI`
`static final int`
`GL_BUMP_ROT_MATRIX_SIZE_ATI`
`static final int`
`GL_BUMP_TARGET_ATI`
`static final int`
`GL_BUMP_TEX_UNITS_ATI`
`static final int`
`GL_DU8DV8_ATI`
`static final int`
`GL_DUDV_ATI`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glGetTexBumpParameterATI(int pname, FloatBuffer param)`
`static void`
`glGetTexBumpParameterATI(int pname, IntBuffer param)`
`static void`
`glTexBumpParameterATI(int pname, FloatBuffer param)`
`static void`
`glTexBumpParameterATI(int pname, IntBuffer param)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_BUMP_ROT_MATRIX_ATI

public static final int GL_BUMP_ROT_MATRIX_ATI

See Also:
  - Constant Field Values

### GL_BUMP_ROT_MATRIX_SIZE_ATI

public static final int GL_BUMP_ROT_MATRIX_SIZE_ATI

See Also:
  - Constant Field Values

### GL_BUMP_NUM_TEX_UNITS_ATI

public static final int GL_BUMP_NUM_TEX_UNITS_ATI

See Also:
  - Constant Field Values

### GL_BUMP_TEX_UNITS_ATI

public static final int GL_BUMP_TEX_UNITS_ATI

See Also:
  - Constant Field Values

### GL_DUDV_ATI

public static final int GL_DUDV_ATI

See Also:
  - Constant Field Values

### GL_DU8DV8_ATI

public static final int GL_DU8DV8_ATI

See Also:
  - Constant Field Values

### GL_BUMP_ENVMAP_ATI

public static final int GL_BUMP_ENVMAP_ATI

See Also:
  - Constant Field Values

### GL_BUMP_TARGET_ATI

public static final int GL_BUMP_TARGET_ATI

See Also:
  - Constant Field Values

## Method Details

### glTexBumpParameterATI

public static void glTexBumpParameterATI(int pname, FloatBuffer param)

### glTexBumpParameterATI

public static void glTexBumpParameterATI(int pname, IntBuffer param)

### glGetTexBumpParameterATI

public static void glGetTexBumpParameterATI(int pname, FloatBuffer param)

### glGetTexBumpParameterATI

public static void glGetTexBumpParameterATI(int pname, IntBuffer param)